Skip to content

Retrieve a version of a data connector

Request

Retrieve a single version of a data connector, including the connector configuration as it was at that version.

Requires the read_data_connector_versions or read_write_data_connector_versions OAuth scope.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the data connector.

Example:12345
version_idintegerrequired

The entity_version_id of the version, as returned by List versions of a data connector.

Example:9821
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.17"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  https://api.intercom.io/data_connectors/12345/versions/9821 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

The type of object - data_connector_version.

Value:"data_connector_version"
Example:"data_connector_version"
statusstring

The status of this version today.

Enum:"live""paused""draft""previously_live"
Example:"live"
notestring or null

A note describing this version, if one has been set.

Example:"Switched to the v2 orders endpoint"
authorobject or null

The teammate who created this version.

created_atstring, (date-time)

The time this version was created.

Example:"2026-09-14T10:02:11Z"
entity_version_idinteger

The identifier of this version. Use it as version_id when retrieving or updating a version.

Example:9821
definitionobject or null

The data connector's configuration at this version. null if the snapshot is no longer available. Mirrors the response of Retrieve a data connector, without id, type, created_by_admin_id, updated_by_admin_id, created_at, updated_at, execution_results_url and transform_code_block.

Response
{ "type": "data_connector_version", "status": "live", "note": "Switched to the v2 orders endpoint", "author": { "id": 456, "name": "Alice Admin" }, "created_at": "2026-09-14T10:02:11Z", "entity_version_id": 9821, "definition": { "name": "Order Status Service", "description": "Fetches order status from external fulfillment API", "internal_description": "Fetches order status from external fulfillment API", "state": "live", "url": "https://api.example.com/v2/orders/{{order_id}}/status", "body": "", "headers": [ … ], "http_method": "get", "direct_fin_usage": false, "audiences": [ … ], "execution_type": "server_side", "configuration_response_type": "test_response_type", "data_transformation_type": "full_access", "client_function_name": null, "client_function_timeout_ms": null, "data_inputs": [ … ], "response_fields": [ … ], "object_mappings": [], "token_ids": [], "customer_authentication": false, "bypass_authentication": false, "enforce_auth": false, "validate_missing_attributes": false } }